<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('quota_log', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id')->nullable()->comment('订单id');
            $table->integer('quota_id')->nullable()->comment('名额归属id');
            $table->integer('num')->nullable()->comment('名额数量');
            $table->integer('operate_user_id')->nullable()->comment('操作人id');
            $table->string('operate_user_name')->nullable()->comment('操作人名字');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('quota_log');
    }
};
